<?php
namespace HellixElementor\Modules\Posts\Skins;

use Elementor\Controls_Manager;
use Elementor\Core\Kits\Documents\Tabs\Global_Colors;
use Elementor\Core\Kits\Documents\Tabs\Global_Typography;
use Elementor\Group_Control_Image_Size;
use Elementor\Group_Control_Typography;
use Elementor\Widget_Base;
use Elementor\Skin_Base as Elementor_Skin_Base;
use HellixElementor;
use HellixElementor\Plugin;
use HellixElementor\Core\Utils as HX_Utils;

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

/**
 * The Protfolio Style 3.
 */
class Skin_Portfolio_Style_3 extends Skin_Portfolio_Base {

	/**
	 * Get the name of the widget.
	 *
	 * @return string
	 */
	public function get_id() {
		return 'portfolio-style-3';
	}

	/**
	 * Get the title of the skin.
	 *
	 * @return string
	 */
	public function get_title() {
		return esc_html__( 'Portfolio Style 3', 'hellix-elementor' );
	}

	/**
	 * Render Loop Header.
	 *
	 * @param  array $settings The Widget settings.
	 */
	public function render_loop_header( $settings ) {
		?><div class="portfolio-style-3">
			<div class="row fancy-grid elementor-posts-container">
			<?php
	}

	/**
	 * Render the post.
	 */
	public function render_post() {

		$query = $this->parent->get_query();
		$index = $query->current_post;
		if ( 0 === $index % 2 ) {
			$position = '-left';
		} else {
			$position = '-right';
		}

		$args = [ 'position' => $position ];

		get_template_part( 'templates/portfolio/content-portfolio/loop/loop-portfolio', 'v3', $args );
	}

	public function render_loop_footer() {
		$this->parent->hellix_pagination();
		?>
			</div>
		</div>
		<?php
		
	}
}

