<?php
namespace HellixElementor\Modules\Posts\Skins;

use Elementor\Controls_Manager;
use Elementor\Core\Kits\Documents\Tabs\Global_Colors;
use Elementor\Core\Kits\Documents\Tabs\Global_Typography;
use Elementor\Group_Control_Image_Size;
use Elementor\Group_Control_Typography;
use Elementor\Widget_Base;
use Elementor\Skin_Base as Elementor_Skin_Base;
use HellixElementor;
use HellixElementor\Plugin;
use HellixElementor\Core\Utils as HX_Utils;

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

/**
 * The Protfolio Style 4.
 */
class Skin_Portfolio_Style_4 extends Skin_Portfolio_Base {

	/**
	 * Get the name of the widget.
	 *
	 * @return string
	 */
	public function get_id() {
		return 'portfolio-style-4';
	}

	/**
	 * Get the title of the skin.
	 *
	 * @return string
	 */
	public function get_title() {
		return esc_html__( 'Portfolio Style 4', 'hellix-elementor' );
	}

	/**
	 * Render the post.
	 */
	public function render_post() {

		$portfolio_tags = get_the_terms( get_the_ID(), 'jetpack-portfolio-type' );
		$groups         = '';
		$groups_arr     = [];

		if ( is_array( $portfolio_tags ) ) {
			foreach ( $portfolio_tags as $portfolio_tag ) {
				$groups_arr[] = $portfolio_tag->slug;
			}
		}

		$groups = implode( ' ', $groups_arr );
		?>
		<div class='masonry__item -no-ratio hx-article <?php echo esc_attr( $groups ); ?>'>
			<?php get_template_part( 'templates/portfolio/content-portfolio/loop/loop-portfolio', 'v5' ); ?>
		</div>
		<?php

	}
}
