<?php
/**
 * Custom Settings for Single portfolio
 *
 * @package Hellix/ACF/Settings/Single Portfolio
 */

	acf_add_local_field_group(
		array(
			'key'                   => 'group_61d6984bda14b',
			'title'                 => 'Portfolio',
			'fields'                => array(
				array(
					'key'               => 'field_61bc8f79a6a47',
					'label'             => 'Portfolio Main Type',
					'name'              => 'portfolio_main_type',
					'type'              => 'taxonomy',
					'instructions'      => '',
					'required'          => 0,
					'conditional_logic' => 0,
					'wrapper'           => array(
						'width' => '',
						'class' => '',
						'id'    => '',
					),
					'taxonomy'          => 'jetpack-portfolio-type',
					'field_type'        => 'select',
					'allow_null'        => 1,
					'add_term'          => 1,
					'save_terms'        => 0,
					'load_terms'        => 0,
					'return_format'     => 'object',
					'multiple'          => 0,
				),
				array(
					'key'               => 'field_61d69912aa023',
					'label'             => 'Portfolio Single Style',
					'name'              => 'portfolio_type',
					'type'              => 'select',
					'instructions'      => '',
					'required'          => 0,
					'conditional_logic' => 0,
					'wrapper'           => array(
						'width' => '',
						'class' => '',
						'id'    => '',
					),
					'choices'           => array(
						'default' => 'Default',
						'v1'      => 'Type V1',
						'v2'      => 'Type V2',
						'v3'      => 'Type V3',
						'v4'      => 'Type V4',
						'v5'      => 'Type V5',
						'v6'      => 'Type V6',
						'v7'      => 'Type V7',
					),
					'default_value'     => 'type v1',
					'allow_null'        => 0,
					'multiple'          => 0,
					'ui'                => 0,
					'return_format'     => 'value',
					'ajax'              => 0,
					'placeholder'       => '',
				),
				array(
					'key'               => 'field_6250150bd8015',
					'label'             => 'Enable Content Scroll',
					'name'              => 'enable_scroll',
					'type'              => 'true_false',
					'instructions'      => '',
					'required'          => 0,
					'conditional_logic' => 0,
					'wrapper'           => array(
						'width' => '',
						'class' => '',
						'id'    => '',
					),
					'message'           => '',
					'default_value'     => 0,
					'ui'                => 1,
					'ui_on_text'        => '',
					'ui_off_text'       => '',
				),
				array(
					'key'               => 'field_61d6989aaa022',
					'label'             => 'Attributes',
					'name'              => 'attributes',
					'type'              => 'textarea',
					'instructions'      => 'Set custom attributes for the wrapper element. Each attribute in a separate line. Separate attribute key from the value using | character.\'',
					'required'          => 0,
					'conditional_logic' => 0,
					'wrapper'           => array(
						'width' => '',
						'class' => '',
						'id'    => '',
					),
					'default_value'     => '',
					'placeholder'       => '',
					'maxlength'         => '',
					'rows'              => '',
					'new_lines'         => '',
				),
				array(
					'key'               => 'field_61d85cc162a71',
					'label'             => 'Social Icons',
					'name'              => 'social_icons',
					'type'              => 'textarea',
					'instructions'      => 'Enter the social media profiles here. Each profile URL should be separated by a new line ( by hitting Enter button )',
					'required'          => 0,
					'conditional_logic' => 0,
					'wrapper'           => array(
						'width' => '',
						'class' => '',
						'id'    => '',
					),
					'default_value'     => 'https://facebook.com/',
					'placeholder'       => 'https://facebook.com/',
					'maxlength'         => '',
					'rows'              => '',
					'new_lines'         => '',
				),
			),
			'location'              => array(
				array(
					array(
						'param'    => 'post_type',
						'operator' => '==',
						'value'    => 'jetpack-portfolio',
					),
				),
			),
			'menu_order'            => 0,
			'position'              => 'normal',
			'style'                 => 'default',
			'label_placement'       => 'top',
			'instruction_placement' => 'label',
			'hide_on_screen'        => '',
			'active'                => true,
			'description'           => '',
			'show_in_rest'          => 0,
		)
	);

