<?php
/**
 * Custom Settings for Product Category
 *
 * @package Hellix/ACF/Settings/Product Category
 */

if ( function_exists( 'acf_add_local_field_group' ) ) :

	acf_add_local_field_group(
		array(
			'key'                   => 'group_6245c144d666e',
			'title'                 => 'Layout',
			'fields'                => array(
				array(
					'key'               => 'field_6245c3f0bd556',
					'label'             => 'Layout',
					'name'              => 'layout__select',
					'type'              => 'select',
					'instructions'      => '',
					'required'          => 0,
					'conditional_logic' => 0,
					'wrapper'           => array(
						'width' => '',
						'class' => '',
						'id'    => '',
					),
					'choices'           => array(
						'default'       => 'Default',
						'left-sidebar'  => 'Left Sidebar',
						'right-sidebar' => 'Right Sidebar',
						'full-width'    => 'No Sidebar',
					),
					'default_value'     => 'default',
					'allow_null'        => 0,
					'multiple'          => 0,
					'ui'                => 0,
					'return_format'     => 'object',
					'ajax'              => 0,
					'placeholder'       => '',
				),
				array(
					'key'               => 'field_622243cebc8c1',
					'label'             => 'Column',
					'name'              => 'column',
					'type'              => 'select',
					'instructions'      => '',
					'required'          => 0,
					'conditional_logic' => 0,
					'wrapper'           => array(
						'width' => '',
						'class' => '',
						'id'    => '',
					),
					'choices'           => array(
						1 => '1',
						2 => '2',
						3 => '3',
						4 => '4',
						5 => '5',
						6 => '6',
					),
					'default_value'     => 3,
					'allow_null'        => 0,
					'multiple'          => 0,
					'ui'                => 0,
					'return_format'     => 'value',
					'ajax'              => 0,
					'placeholder'       => '',
				),
			),
			'location'              => array(
				array(
					array(
						'param'    => 'taxonomy',
						'operator' => '==',
						'value'    => 'product_cat',
					),
				),
			),
			'menu_order'            => 0,
			'position'              => 'normal',
			'style'                 => 'default',
			'label_placement'       => 'left',
			'instruction_placement' => 'label',
			'hide_on_screen'        => '',
			'active'                => true,
			'description'           => '',
			'show_in_rest'          => 0,
		)
	);

endif;
